@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600&display=swap');
@import url('./footer.css');
@import url('./sidebar.css');
@import url('./header.css');
@import url('./main.css');

* {
    margin: 0;
    padding: 0;
    outline:none;
    border: none;
    box-sizing: border-box;
    font-style: normal;
    user-select: none !important;
    -ms-user-select: none !important;
    -moz-user-select: none !important;
}
html {
    scroll-behavior: smooth;
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
    width: 100% !important;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

:root {
    --white:#FFFFFF;
    --red:#e61601;
    --blue: #1c1475;
    --orange:#FFCC00;
    --light-white:#f0f0f0;
    --grey:	#696969;
    --light-grey:#E8E8E8;
    --black:#000000;
    --always-black:#000000;
    --green: #0f853c;
}

@media print {
    body {
        display: none !important;
        user-select: none !important;
        -ms-user-select: none !important;
        -moz-user-select: none !important;
    }
}

a {
    text-decoration: none;
    color: currentColor;
}

button {
    background-color: transparent;
}

.desktop-hide {
    display: none !important;
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    height: 100%;
    font-family:'Poppins', sans-serif;
    background-color: var(--always-black);
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
}














main {
    width: 100%;
    height: 100%;
    padding: 0 70px;
    margin-top: 110px;
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
}

main > section {
    width: 100%;
    height: 100%;
    padding-bottom: 10px;
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 2fr;
}



 /* SINGLE BOOK SIDEBAR  */

.single-book-sidebar {
    width: 100%;
    height: 100%; 
    border-radius: 10px;
    z-index: 10;
}
.tag-meta {
    width: 100%;
    height: auto;
    margin-bottom: 20px;
    border-radius: 0 0 10px 10px;
}

.single-book-sidebar .book-screenshots {
    width: 100%;
}

.book-screenshots img{
    width: 100%;
    max-height: 380px;
    margin-bottom: 15px;
}



.single-book-sidebar .ads-container {
    width: 100%;
    height: auto;
    margin-bottom: 20px;
    overflow: hidden;
}

.sticky {
    width: 100%;
    position: -webkit-sticky;
    position: sticky;
    top: 120px;
    left: 0;
}



/* RIGHT SECTION  */

main .revision-books-area {
    width: 100%;
    height: 100%;
    color: var(--black);
}


/* BOOKS NOTES CONTAINER  */

.revision-books-area .single-book-container {
    width: 100%;
    height: auto;
    background-color: var(--white);
    padding: 5px 10px 10px;
}
.revision-books-area .single-book-name {
    width: 100%;
    font-size: 22px;
    margin: 0 10px;
}
.tag-total-views , .category-name {
    margin: 0 10px;
}

.single-book-container .category-name {
    display: flex;
    align-items: center;
}

.single-book-container .category-name a{
    background-color: var(--green);
    color: var(--white);
    width: fit-content;
    padding: 0 5px;
    border-radius: 2px;
    margin-right: 50px;
    text-transform: uppercase;
}

.revision-books-area .estimated-reading-time {
    margin: 15px 10px;
}

.addthis_inline_share_toolbox {
    margin: 15px 5px 15px;
}

.revision-books-area .notes-container {
    margin: 5px 10px 20px;
    font-size: 15px;
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
    color: var(--black);
}
.notes-container p {
    margin: 10px 0 20px;
}

.back-next-buttons {
    margin:15px 0;
    width: 100%;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    background-color: var(--white);
    color: var(--black);
    font-size: 18px;
    font-weight: 600;
}

.back-next-buttons a {
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.back-next-buttons a div:nth-child(1) {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
}


.back-next-buttons .back-btn {
    width: fit-content;
    display: flex;
    align-self: center;
    justify-content: center;
    flex-direction: column;
    row-gap: 15px;
}

.back-next-buttons .back-btn i{
    margin-right: 20px;
}

.back-next-buttons .next-btn {
    width: fit-content;
    margin-left: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    row-gap: 15px;
}

.back-next-buttons .next-btn i{
   margin-left: 20px;
}




















/* OTHER RELATED BOOKS  */

.revision-books-container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fiLL, minmax(250px , 1fr));
    overflow: hidden;
    gap: 10px 10px;
    margin: 10px 0;
}

main .header {
    width: 100%;
    height: 40px;
    padding: 10px;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--white) !important;
    color: var(--black);
    margin-bottom: 20px;
    border-radius: 4px;
}
main .header a {
    font-weight: 600;
    color: var(--red);
}


.revision-books-container .book-card {
    width: 100%;
    height: auto; 
    background-color: var(--white);
    overflow: hidden;
    border-radius: 10px;
}

.book-card .column {
    display: flex;
    align-self: flex-start;
    flex-direction: column;
}

.book-card .img-holder {
    width: 100%;
    height: 150px;
    margin-bottom: 7px;
    overflow: hidden;
    position: relative;
    border-bottom: 1px solid var(--black);
    background-color: var(--black);
    border-radius: 10px 10px 0 0;
}
.img-holder:hover img{
    transform: scale(1.1);
}


.revision-books-container .book-card img{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: fill;
}

.book-card .tag-holder {
    width: 100%;
    font-size: 12px;
    margin-left: 10px;
    margin-bottom: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.tag-holder a {
    width: fit-content;
    font-size: 12px;
    padding: 2px 4px;
    background-color: var(--green);
    color: var(--white);
    text-transform: uppercase;
    border-radius: 1px;
    font-weight: 500;
}
.card-views {
    font-weight: 500;
    font-size: 15px;
}


.book-card .card-title {
    font-weight: 600;
    font-size: 18px;
    margin:0 10px 10px;
    text-transform: capitalize;
    overflow: hidden;
    line-height: 1.3;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.book-card .card-short-description{
    font-weight: 400;
    font-size: 14px;
    margin:0 10px;
    text-transform: capitalize;
    overflow: hidden;
    line-height: 1.3;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: none;
}

.book-card .card-creation-date {
    font-size: 13px;
    margin:6px 10px;
    display: none;
}
.card-creation-date span {
    margin-left: 10px;
    color: var(--red);
}



























/* RESPONSIVE DESIGN TABLET  */







@media (min-width:768px) and (max-width:992px) {
    main {
        padding: 0 50px;
    }
    main > section {
        grid-template-columns: 1fr 2fr;
    }
}













/* RESPONSIVE DESIGN TABLET  */

@media (max-width:768px) {

    .mobile-hide {
        display: none !important;
    }

    .mobile-d-flex {
        display: flex !important;
    }
    .mobile-show {
        display: block !important;
    }

    body {
        padding-bottom: 80px;
    }



    main {
        padding: 0 10px;
        margin-top: 80px;
        overflow-x: hidden;
    }

    main > section {
        grid-template-columns: 1fr;
        gap: 0;
    }

    .single-book-sidebar {
        height: auto;
    }
    .tag-meta {
        margin-bottom: 0;
    }
    .book-screenshots img {
        width: 100%;
        max-height: 250px;
        margin-bottom: 5px;
        margin-top: 5px;
    }
    .single-book-sidebar .ads-container {
        display: none !important;
    }

    


    .revision-books-area .revision-books-container {
        gap: 20px 13px;
        margin-top: 0;
    }

    .revision-books-area .estimated-reading-time {
        display: flex;
        align-items: center;
        column-gap: 6px;
        margin: 10px 0;
    }


    .revision-books-container .book-card {
        width: 100%;
        padding-bottom: 5px;
    }

    .book-card .card-creation-date {
        display: none;
    }


}




/* RESPONSIVE DESIGN MOBILE  */

@media (max-width:600px) {

    .mobile-hide {
        display: none !important;
    }

    .mobile-d-flex {
        display: flex !important;
        align-items: center;
    }


    

    main {
        width: 100%;
        padding: 0 0;
        margin-top: 63px;
    }

    main section {
        column-gap: 0;
    }
    .book-screenshots img {
        margin-bottom: 0;
    }





    .revision-books-area .revision-books-container {
        gap: 20px 0;
    }
    .revision-books-area .single-book-name {
        font-size: 18px;
        margin: 0 0;
    }
    .single-book-container .category-name {
        width: 100%;
        flex-wrap: wrap;
    }

    .single-book-container .category-name a {
        margin-right: 5px;
    }

    .tag-total-views, .category-name {
        margin: 0 0;
    }
    .tag-total-views {
        margin-left: auto;
        display: none;
    }
    .revision-books-area .estimated-reading-time {
        margin: 10px 0;
        padding-bottom: 10px;
        border-bottom: 1px solid var(--light-grey);
    }

    .addthis_inline_share_toolbox {
        margin: 10px 5px 10px 0;
        display: none;
    }
    .revision-books-area .notes-container {
        margin: 5px 0 15px;
    }
    main .header {
        padding: 10px;
        font-size: 17px;
        margin-bottom: 0;
        margin-top: 5px;
        border-radius: 0;
    }
    main .header a {
        font-weight: 600;
        color: blue;
    }





    .revision-books-container {
        grid-template-columns: 1fr;
        gap: 10px 10px;
        padding: 10px;
    }
    .revision-books-container .book-card {
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 5px;
        padding: 5px;
        border-radius: 2px;
    }

    .book-card .img-holder {
        width: 100%;
        height: 100%;
        border-radius: 0 0 0 0;
    }

    .book-card .column {
        margin: 5px 0;
    }

    .book-card .tag-holder {
        margin-left: 6px;
    }

    .book-card .card-title {
        font-weight: 600;
        font-size: 18px;
        margin: 0 6px 0;
        -webkit-line-clamp: 3;
    }

    .book-card .card-creation-date {
        color: var(--black);
        display: flex;
        margin-bottom: 0;
    }


    .book-buy-card {
        display: flex !important;
        align-items: center;
        column-gap: 0px;
        position: fixed;
        overflow: hidden;
        bottom: 16px;
        right: 18px;
        background-color: var(--black);
        color: var(--white);
        min-width: 200px;
        max-width: 230px;
        height: 47px;
        border-radius: 5px;
        border: none;
        z-index: 9999;
        text-align: center;
    }

    .book-buy-card .buy-btn {
        width: fit-content;
        height: 100%;
        font-weight: 700;
        font-size: 22px;
        padding: 8px;
        background-color: var(--orange);
        color: var(--blue);
        overflow: hidden;
    }

    .book-buy-card .price {
        width:fit-content;
        white-space: nowrap;
        font-size: 20px;
        font-weight: 550;
        padding: 10px 6px;
        margin-right: 10px;
        margin-right: 10px;
    }
}



@media (max-width:400px) {
    .book-screenshots img {
        margin-bottom: 0;
    }
}